//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <istream>
#include <cstdlib>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

namespace MyLib {
    double readAndProcessSum (std::istream& strm)
    {
        using std::ios;
        double value, sum;

        //     
        ios::iostate oldExceptions = strm.exceptions();

        //      failbit  badbit
        //  - :  failbit  
        //       
        strm.exceptions (ios::failbit | ios::badbit);

        try {
            //      
            //  -       
            sum = 0;
            while (strm >> value) {
                sum += value;
            }
        }
        catch (...) {
            //     -   ,
            // -    
            // -  
            if (!strm.eof()) {
                strm.exceptions(oldExceptions);  //  
                throw;                           //  
            }
        }

        //    
        strm.exceptions (oldExceptions);

        //  
        return sum;
    }
}

int main (int argc, char* argv[])
{
  using namespace std;
  double sum;

  try {
      sum = MyLib::readAndProcessSum(cin);
  }
  catch (const ios::failure& error) {
      cerr << ToRus(" /: ") << error.what() << endl;
      return EXIT_FAILURE;
  }
  catch (const exception& error) {
      cerr << ToRus(" : ") << error.what() << endl;
      return EXIT_FAILURE;
    }
  catch (...) {
      cerr << ToRus(" : ") << endl;
      return EXIT_FAILURE;
  }

  //  
  cout << "sum: " << sum << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------